package com.alibaba.druid.sql.dialect.mariadb.ast.clause;

import com.alibaba.druid.sql.dialect.mariadb.ast.statement.MariadbStatementImpl;
import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbDeclareConditionStatement extends MariadbStatementImpl {
   private String conditionName;
   private ConditionValue conditionValue;

   public String getConditionName() {
      return this.conditionName;
   }

   public void setConditionName(String conditionName) {
      this.conditionName = conditionName;
   }

   public ConditionValue getConditionValue() {
      return this.conditionValue;
   }

   public void setConditionValue(ConditionValue conditionValue) {
      this.conditionValue = conditionValue;
   }

   public void accept0(MariadbASTVisitor visitor) {
      visitor.visit(this);
      visitor.endVisit(this);
   }
}
